Bug 1201835 - Some errata disappeared in publish/promotion of content view
Summary: Some errata disappeared in publish/promotion of content view
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1130651
TreeView+ depends on / blocked
 
Reported: 2015-03-13 15:23 UTC by sthirugn@redhat.com
Modified: 2017-02-23 20:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 14:01:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9750 0 None None None 2016-04-22 16:02:51 UTC

Description sthirugn@redhat.com 2015-03-13 15:23:55 UTC
Description of problem:
Some errata disappeared in publish/promotion of content view

Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-6-20150311.1

How reproducible:
Always

Steps to Reproduce:
1.Install Sat6, upload a manifest
2.Enable Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server and sync - Sync completed successfully with
- 6674 Packages 
- 495 Errata
3. Create content view with the above repo, publish and promote it- Publish and promote completed successfully with
- 6674 Packages
- 445 Errata

Actual results:
See that 50 errata are missed from the synced repo and the published/promoted content view.

Expected results:
All synced errata in the repo should be published/promoted in the content view.

Additional info:
One of the errata which I saw missing was
- RHEA-2015:0141 - tzdata enhancement update

Comment 3 Justin Sherrill 2015-03-13 17:20:19 UTC
Created redmine issue http://projects.theforeman.org/issues/9750 from this bug

Comment 4 sthirugn@redhat.com 2015-03-13 19:11:37 UTC
FWIW the same sat6 box had Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server synced also.

Apparently the issue happens with the errata that are available to both my 6Server and 7Server

See here: https://bugzilla.redhat.com/show_bug.cgi?id=1201432#c4

Comment 5 Bryan Kearney 2015-03-18 02:05:30 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9750 has been closed
-------------
Justin Sherrill
Applied in changeset commit:katello|52a37ee92b989c015687e37e77e1d768ba33f7c0.

Comment 7 sthirugn@redhat.com 2015-04-28 15:03:14 UTC
Verified.

Version Tested: Satellite-6.1.0-RHEL-6-20150424.0

It worked fine when I tried the steps mentioned in this bug:
1. Enable and sync the following repos:
Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server
Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server
2. rhel 7 test:
   rhel7 sync completed successfully with
   - 6851 Packages 
   - 528 Errata
   - Create content view with the above repo, publish and promote it- Publish and promote completed successfully with
   - 6851 Packages 
   - 528 Errata
3. rhel 6 test:
   rhel6 sync completed successfully with
   - 14787 Packages
   - 2896 Errata
   - Create content view with the above repo, publish and promote it- Publish and promote completed successfully with
   - 14787 Packages
   - 2891 Errata

*****Note*****
For rhel6 repo, 5 errata are missing in published content view vs. the synced errata.  This is because these 5 errata does not have any affected packages in them. Sat 6.1 is smart enough to identify these and eliminate these in the published content views.  Rel-eng will be notified about this issue.
   - id: RHBA-2010:0844
   - id: RHBA-2011:0361
   - id: RHEA-2011:1545
   - id: RHSA-2012:1418
   - id: RHSA-2014:1060

Comment 8 Bryan Kearney 2015-08-11 13:36:21 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 Bryan Kearney 2015-08-12 14:01:42 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.